
QGIS Application - Bug report #11109

Project path for embedded groups/layers saved in absolute instead of relative

2014-08-27 08:42 AM - Michael Douchin

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.4.0 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19439

Description

To reproduce :

    -  Create a "parent" project

    -  add some groups, sub-groups and layers

    -  save

    -  create a "son" project

    -  embed layers or groups from the "parent" project

    -  save son project

The path to the parent project is saved as absolute, and not relative.

This is a nasty bug wich prevents users to use embedded groups and layers in QGIS Server.

See 2 examples projects "son" and "parent" attached with example data.

I am using QGIS 2.4 under Ubuntu, but users reported the same issue with Windows.

Associated revisions

Revision 4a675734 - 2014-08-29 06:08 AM - Martin Dobias

Merge pull request #1566 from mdouchin/debug_project_path_embedded_items

Fix #11109 (Write relative path in project XML for embedded groups and layers)

History

#1 - 2014-08-28 09:43 AM - Michael Douchin

- Pull Request or Patch supplied changed from No to Yes

Pull request proposed : https://github.com/qgis/QGIS/pull/1566

#2 - 2014-08-28 09:08 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"4a675734581448869f65a8304a9e11a731fccecb".
#3 - 2014-08-28 10:53 PM - Martin Dobias

- Status changed from Closed to In Progress

Added Michael to the list of contributors (commit:cded7c)

#4 - 2014-08-28 10:54 PM - Martin Dobias

- Status changed from In Progress to Closed

Files

embedded_layers_relative_path_issue.tar.gz 2.29 MB 2014-08-27 Michael Douchin
